import React, { useEffect, useRef } from "react";
import * as THREE from "three";
import Viewer from "@/lib/three/Viewer";
import BoxGeometry from "./modules/BoxGeometry";
import styles from "./index.less";

interface OwnProps {}

type Props = OwnProps;

const PAGE_ID = "TEMPLATE_CONTAINER";
const Template: React.FC<Props> = (props) => {
  const viewerRef = useRef<Viewer>();
  let boxGeometry: BoxGeometry;
  useEffect(() => {
    init();
    return () => {};
  }, []);
  const init = () => {
    viewerRef.current = new Viewer(PAGE_ID);
    const viewer = viewerRef.current;
    const clock = new THREE.Clock();

    viewer.addAxis();
    boxGeometry = new BoxGeometry(viewer);
    // boxGeometry.addBoxGeometry();
    const fnOnj = {
      fun: () => {
        const elapsedTime = clock.getElapsedTime();
        boxGeometry.cube.rotation.y = elapsedTime * Math.PI;
      },
      content: viewer
    };
    viewer?.addAnimate("cubeCraze", fnOnj);
  };

  return (
    <div className={styles.threetemplate_container}>
      <div id={PAGE_ID} />
    </div>
  );
};

export default Template;
