import React, { FC, useEffect, useRef } from "react";
import Viewer from "./modules/Viewer";
import Earth from "./modules/earth";
import styles from "./index.less";

interface OwnProps {}

type Props = OwnProps;

const PAGE_ID = "LOGIN_CONTAINER";
const ThreeJSIndex: FC<Props> = (props) => {
  const viewerRef = useRef<Viewer>();
  useEffect(() => {
    init();
    return () => viewerRef.current?.destroy();
  }, []);
  // 加载
  const init = () => {
    viewerRef.current = new Viewer(PAGE_ID);
    const viewer = viewerRef.current;
    viewer.addStats();
    viewer.initSphereModal();
    const earthLoader = new Earth(viewer);
  };

  return (
    <div className={styles.login_container}>
      <div id={PAGE_ID} />
      <div className={styles.login_ground} />
    </div>
  );
};

export default ThreeJSIndex;
