import { BoxHelper, Color, Object3D } from "three";
import type Viewer from "../Viewer";
// 通过 BoxHelper 可以实现简单的鼠标选中的特效。
// 也可以通过 OutlinePass 实现发光的特效。
export default class BoxHelperWrap {
  protected viewer: Viewer;
  public boxHelper: BoxHelper;

  constructor(viewer: Viewer, color?: number) {
    this.viewer = viewer;
    const boxColor = color === undefined ? 0x00ffff : color;
    this.boxHelper = new BoxHelper(new Object3D(), new Color(boxColor));

    this.initBoxHelperWrap(); // 初始化
  }

  private initBoxHelperWrap() {
    this.viewer.scene.add(this.boxHelper);
  }
}
